with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IDOMXmlSerializer_Interface is

   procedure Initialize (This : in out IDOMXmlSerializer_Type) is
   begin
      Set_IID (This, IID_IDOMXmlSerializer);
   end Initialize;

   function Pointer (This : IDOMXmlSerializer_Type)
     return Pointer_To_IDOMXmlSerializer
   is
   begin
      return To_Pointer_To_IDOMXmlSerializer (Address (This));
   end Pointer;

   procedure Attach (This    : in out IDOMXmlSerializer_Type;
                     Pointer : in     Pointer_To_IDOMXmlSerializer)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function serializeToString
     (This    : IDOMXmlSerializer_Type;
      pNode   : Pointer_To_IHTMLDOMNode)
     return GNATCOM.Types.BSTR
   is
       RetVal : aliased GNATCOM.Types.BSTR;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.serializeToString
         (Pointer (This),
          pNode,
          RetVal'Unchecked_Access));

      return RetVal;
   end serializeToString;

end MSHTML.IDOMXmlSerializer_Interface;

